Logout platform user
curl --request POST \
--url https://app.autocalls.ai/api/white-label/logout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": 123,
"email": "<string>",
"token_id": 123
}
'import requests
url = "https://app.autocalls.ai/api/white-label/logout"
payload = {
"user_id": 123,
"email": "<string>",
"token_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user_id: 123, email: '<string>', token_id: 123})
};
fetch('https://app.autocalls.ai/api/white-label/logout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "User logged out successfully."
}
{
"error": "You are not a white label admin."
}
{
"error": "User not found."
}
{
"message": "Either user_id or email is required.",
"errors": {
"user_id": ["Either user_id or email is required."]
}
}
White Label
Logout platform user
Revoke API tokens for a platform user
POST
/
white-label
/
logout
Logout platform user
This endpoint allows white label admins to revoke API tokens for one of their platform users, effectively logging them out.
This endpoint requires authentication as a white label admin. You can only logout users belonging to your platform.
Request Body
The ID of the user to logout. Required if
email is not provided.The email of the user to logout. Required if
user_id is not provided.Optional. The specific token ID to revoke. If not provided, all tokens for the user will be revoked.
Response
Success message
{
"message": "User logged out successfully."
}
{
"error": "You are not a white label admin."
}
{
"error": "User not found."
}
{
"message": "Either user_id or email is required.",
"errors": {
"user_id": ["Either user_id or email is required."]
}
}
Example: Logout by Email (All Tokens)
curl -X POST https://app.autocalls.ai/api/white-label/logout \
-H "Authorization: Bearer YOUR_ADMIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "platformuser@example.com"
}'
Example: Logout Specific Token
curl -X POST https://app.autocalls.ai/api/white-label/logout \
-H "Authorization: Bearer YOUR_ADMIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"user_id": 123,
"token_id": 45
}'
⌘I

